# AIEventSubsidyOffer Class Reference

Event Subsidy Offered, indicating someone offered a subsidy. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventSubsidyOffer:

## Public Member Functions
| AIEventSubsidyOffer (SubsidyID subsidy_id)
SubsidyID | GetSubsidyID ()
| Get the SubsidyID of the subsidy.
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.
static AIEventSubsidyOffer * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.
## Private Attributes
SubsidyID | subsidy_id

## Detailed Description

Event Subsidy Offered, indicating someone offered a subsidy.

Definition at line 85 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventSubsidyOffer::AIEventSubsidyOffer | ( | SubsidyID | subsidy_id | ) | `[inline]`

Parameters:

  | subsidy_id | The index of this subsidy in the _subsidies array.

Definition at line 93 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventSubsidyOffer* AIEventSubsidyOffer::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 103 of file ai_event_types.hpp.

static const char* AIEventSubsidyOffer::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIEvent.

Definition at line 88 of file ai_event_types.hpp.

SubsidyID AIEventSubsidyOffer::GetSubsidyID | ( |  | ) | `[inline]`

Get the SubsidyID of the subsidy.

Returns:
  The subsidy id.

Definition at line 109 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp